# Uses of Interface
org.eclipse.birt.report.model.api.filterExtension.interfaces.IFilterExprDefinition

Packages that use IFilterExprDefinition
Package
Description
org.eclipse.birt.report.model.api.filterExtension

## Uses of IFilterExprDefinition in org.eclipse.birt.report.model.api.filterExtension

Classes in org.eclipse.birt.report.model.api.filterExtension that implement IFilterExprDefinition
Modifier and Type
Class
Description
`class`
`FilterExprDefinition`
FilterExprDefinition
Fields in org.eclipse.birt.report.model.api.filterExtension with type parameters of type IFilterExprDefinition
Modifier and Type
Field
Description
`protected static List<IFilterExprDefinition>`
OdaFilterExprHelperImpl.`birtFilterExprDefList`
The list contains the BIRT predefined filter definitions.
Methods in org.eclipse.birt.report.model.api.filterExtension that return IFilterExprDefinition
Modifier and Type
Method
Description
`static IFilterExprDefinition`
OdaFilterExprHelper.`getFilterExpressionDefn(String birtFilterExprId, String datasetExtId, String datasourceExtId)`
Return the IFilterExprDefinition instance based on the passed in BIRT predefined Filter expression name.
Methods in org.eclipse.birt.report.model.api.filterExtension that return types with arguments of type IFilterExprDefinition
Modifier and Type
Method
Description
`List<IFilterExprDefinition>`
IODAFilterExprProvider.`getMappedFilterExprDefinitions(String odaDatasetExtensionId, String odaDataSourceExtensionId)`
Only returns the filter expression which can be mapped between BIRT defined and ODA filter extension provider.
`static List<IFilterExprDefinition>`
OdaFilterExprHelper.`getMappedFilterExprDefinitions(String dataSetExtId, String dataSourceExtId, int filterType)`
Returns the list of IFilterExprDefinition.
`List<IFilterExprDefinition>`
ODAFilterExprProvider.`getMappedFilterExprDefinitions(String dataSetExtId, String dataSourceExtId)`